From: daz Date: 2004-06-10T15:03:39+09:00 Subject: Re: Reply wasn't posted; will test new post David A. Black wrote: > > On Thu, 10 Jun 2004, daz wrote: > > > THE MISSING MESSAGES DO *NOT* VIOLATE USENET RFC. > > Here are some excerpts from RFC-1036 (which obsoleted RFC-850): > > > 2.1.4. Subject > > [...] If the message is submitted in response to another message > (e.g., is a follow-up) the default subject should begin with the > four characters "Re: ", and the "References" line is required. > > [...] > > 2.2.5 References > > [...] User interfaces need not make use of this header, but all > automatically generated follow-ups should generate the "References" > line for the benefit of systems that do use it, and manually > generated follow-ups (e.g., typed in well after the original message > has been printed by the machine) should be encouraged to include > them as well. > > Based on this, I would definitely say that "Re: " messages without a > References header are in violation of this RFC. > > I think the confusing thing is that the RFCs list References among > "optional headers", when it becomes clear from the more detailed > descriptions above that what they mean by "optional", at least for > this header, is "required for some, but not all, messages". (In other > cases I think it means "completely discretionary", as for example with > Organization.) > > > David > "Request For Comments" ? Makes me wonder if anyone did :-) (comment, I mean) Your interpretation, even if it's not correct, should be, IMHO. References should be listed as "conditional", not "optional" ? With that small revision, I could withdraw my CAPS-LOCKed statement. Usenet itself doesn't consider them to be invalid. If "news.zrz" were to send regardless, they would make it around the Usenet servers. ----- According to http://www.ietf.org/iesg/1rfc_index.txt (long), 850 & 1036 are both Status:UNKNOWN so perhaps there is no standard :-) 0850 Standard for interchange of USENET messages. M.R. Horton. Jun-01-1983. (Format: TXT=43871 bytes) (Obsoleted by RFC1036) (Status: UNKNOWN) 1036 Standard for interchange of USENET messages. M.R. Horton, R. Adams. Dec-01-1987. (Format: TXT=46891 bytes) (Obsoletes RFC0850) (Status: UNKNOWN) ----- daz